Bug 120599 - su - gets "broken pipe" attempting to change to new role
su - gets "broken pipe" attempting to change to new role
Product: Fedora
Classification: Fedora
Component: policy (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Ben Levenson
Depends On:
  Show dependency treegraph
Reported: 2004-04-11 16:25 EDT by Gene Czarcinski
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version: 1.11.2-17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-05-10 14:03:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Gene Czarcinski 2004-04-11 16:25:16 EDT
Description of problem:
coreutils = 5.2.1-5, policy = 1.20.2-5

Login as sysadm_r user (not root).

do "su -" and don't change role, OK

do "su -" and attempt to change role to sysadm_r (select 1), OK

do "su -" and attempt to change role to staff_r (select 2), get
"broken pipe" and su does not occur.

From /var/log/messages:

Apr 11 16:28:08 hummer kernel: audit(1081715288.555:0): avc:  denied 
{ read } for  pid=8838 exe=/usr/X11R6/bin/xauth name=.xauthYM28H1
dev=hda10 ino=65574 scontext=root:staff_r:staff_t
tcontext=czarcing:object_r:staff_home_dir_t tclass=file

I was going to file this against coreutils but it looks more like
policy now.
Comment 1 Gene Czarcinski 2004-04-11 16:26:46 EDT
BTW, if I "su -" and do not change the role but then do

  newrole -r staff_r

It works. .... Maybe this is su (coreutils) afterall??
Comment 2 Daniel Walsh 2004-04-22 15:21:35 EDT
Fixed in latest policy.  policy-1.11.2-17

Note You need to log in before you can comment on or make changes to this bug.